# -*- coding: utf-8 -*-

# Eeterm -- Terminal for Eemyle
# By: Cyril Lacoux <clacoux@easter-eggs.com>
#
# Copyright (C) 2003-2019 Easter-eggs
# https://gitlab.easter-eggs.com/ee/eeterm
#
# This file is part of Eeterm.
#
# Eeterm is free software; you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Eeterm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import logging
import os.path

from eessh.config import Config as Config_


log = logging.getLogger(__name__)


# Constants
APPNAME = 'Eemyle Terminal'
VERSION = '1.0'
APPLICATION_ID = 'org.gnome.eeterm'
UI_FILEPATH = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'eeterm.glade')


class Config(Config_):
    appname = APPNAME
    version = VERSION
    application_id = APPLICATION_ID
    ui_filepath = UI_FILEPATH


# Initialize config object
config = Config()
